<?php
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( defined( 'CMB2_LOADED' )  ){
        if( !empty( huntar_meta('page_breadcrumb_area') ) ) {
            $huntar_page_breadcrumb_area  = huntar_meta('page_breadcrumb_area');
        } else {
            $huntar_page_breadcrumb_area = '1';
        }
    }else{
        $huntar_page_breadcrumb_area = '1';
    }
    
    $allowhtml = array(
        'p'         => array(
            'class'     => array()
        ),
        'span'      => array(
            'class'     => array(),
        ),
        'a'         => array(
            'href'      => array(),
            'title'     => array()
        ),
        'br'        => array(),
        'em'        => array(),
        'strong'    => array(),
        'b'         => array(),
        'sub'       => array(),
        'sup'       => array(),
    );
    
    if(  is_page() || is_page_template( 'template-builder.php' )  ) {
        if( $huntar_page_breadcrumb_area == '1' ) {
            if( class_exists( 'reduxframework' ) ){
                $breadcrumb_img = huntar_opt('huntar_allHeader_bg', 'url');
            }else{
                $breadcrumb_img = ""; 
            }
            echo '<!-- Page title -->';
            echo '<div class="vs-breadcrumb-wrapper breadcumb-layuout-1 space-top space-bottom" id="breadcumbwrap" data-bg-src="'.esc_url($breadcrumb_img).'">';
                echo '<div class="container">';
                    echo '<div class="row">';
                        echo '<div class="col-lg-12">';
                            echo '<div class="breadcumb-content pt-10 pb-20">';
                                if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {
                                    if( !empty( huntar_meta('page_breadcrumb_settings') ) ) {
                                        if( huntar_meta('page_breadcrumb_settings') == 'page' ) {
                                            $huntar_page_title_switcher = huntar_meta('page_title');
                                        } else {
                                            $huntar_page_title_switcher = huntar_opt('huntar_page_title_switcher');
                                        }
                                    } else {
                                        $huntar_page_title_switcher = '1';
                                    }
                                } else {
                                    $huntar_page_title_switcher = '1';
                                }

                                if( $huntar_page_title_switcher ){
                                    if( class_exists( 'ReduxFramework' ) ){
                                        $huntar_page_title_tag    = huntar_opt('huntar_page_title_tag');
                                    }else{
                                        $huntar_page_title_tag    = 'h1';
                                    }

                                    if( defined( 'CMB2_LOADED' )  ){
                                        if( !empty( huntar_meta('page_title_settings') ) ) {
                                            $huntar_custom_title = huntar_meta('page_title_settings');
                                        } else {
                                            $huntar_custom_title = 'default';
                                        }
                                    }else{
                                        $huntar_custom_title = 'default';
                                    }

                                    if( $huntar_custom_title == 'default' ) {
                                        echo huntar_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $huntar_page_title_tag ),
                                                "text"  => esc_html( get_the_title( ) ),
                                                'class' => 'breadcumb-title text-white'
                                            )
                                        );
                                    } else {
                                        echo huntar_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $huntar_page_title_tag ),
                                                "text"  => esc_html( huntar_meta('custom_page_title') ),
                                                'class' => 'breadcumb-title text-white'
                                            )
                                        );
                                    }

                                }
                                if( defined('CMB2_LOADED') || class_exists('ReduxFramework') ) {

                                    if( huntar_meta('page_breadcrumb_settings') == 'page' ) {
                                        $huntar_breadcrumb_switcher = huntar_meta('page_breadcrumb_trigger');
                                    } else {
                                        $huntar_breadcrumb_switcher = huntar_opt('huntar_enable_breadcrumb');
                                    }

                                } else {
                                    $huntar_breadcrumb_switcher = '1';
                                }

                                if( $huntar_breadcrumb_switcher == '1' && (  is_page() || is_page_template( 'template-builder.php' ) )) {
                                    huntar_breadcrumbs(
                                        array(
                                            'breadcrumbs_classes' => 'nav',
                                        )
                                    );
                                }
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
            echo '<!-- End of Page title -->';
            
        }
    } else {
        if( class_exists( 'reduxframework' ) ){
            $breadcrumb_img = huntar_opt('huntar_allHeader_bg', 'url');
            $def_breadcrumb = '';
        }else{
            $breadcrumb_img = ""; 
            $def_breadcrumb = 'bg-secondary';
        }
        echo '<!-- Page title -->';
        echo '<div class="vs-breadcrumb-wrapper breadcumb-layuout-1 space-top space-bottom '.esc_attr($def_breadcrumb).'" data-bg-src="'.esc_url($breadcrumb_img).'">';
            echo '<div class="container">';
                echo '<div class="row">';
                    echo '<div class="col-lg-12">';
                        echo '<div class="breadcumb-content pt-10 pb-20">';
                            if( class_exists( 'ReduxFramework' )  ){
                                $huntar_page_title_switcher  = huntar_opt('huntar_page_title_switcher');
                            }else{
                                $huntar_page_title_switcher = '1';
                            }

                            if( $huntar_page_title_switcher ){
                                if( class_exists( 'ReduxFramework' ) ){
                                    $huntar_page_title_tag    = huntar_opt('huntar_page_title_tag');
                                }else{
                                    $huntar_page_title_tag    = 'h1';
                                }
                                if( class_exists('woocommerce') && is_shop() ) {
                                    echo huntar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $huntar_page_title_tag ),
                                            "text"  => wp_kses( woocommerce_page_title( false ), $allowhtml ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                }elseif ( is_archive() ){
                                    echo huntar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $huntar_page_title_tag ),
                                            "text"  => wp_kses( get_the_archive_title(), $allowhtml ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                }elseif ( is_home() ){
                                    $huntar_blog_page_title_setting = huntar_opt('huntar_blog_page_title_setting');
                                    $huntar_blog_page_title_switcher = huntar_opt('huntar_blog_page_title_switcher');
                                    $huntar_blog_page_custom_title = huntar_opt('huntar_blog_page_custom_title');
                                    if( class_exists('ReduxFramework') ){
                                        if( $huntar_blog_page_title_switcher ){
                                            echo huntar_heading_tag(
                                                array(
                                                    "tag"   => esc_attr( $huntar_page_title_tag ),
                                                    "text"  => !empty( $huntar_blog_page_custom_title ) && $huntar_blog_page_title_setting == 'custom' ? esc_html( $huntar_blog_page_custom_title) : esc_html__( 'Latest News', 'huntar' ),
                                                    'class' => 'breadcumb-title text-white'
                                                )
                                            );
                                        }
                                    }else{
                                        echo huntar_heading_tag(
                                            array(
                                                "tag"   => "h1",
                                                "text"  => esc_html__( 'Latest News', 'huntar' ),
                                                'class' => 'breadcumb-title text-white',
                                            )
                                        );
                                    }
                                }elseif( is_search() ){
                                    echo huntar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $huntar_page_title_tag ),
                                            "text"  => esc_html__( 'Search Result', 'huntar' ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                }elseif( is_404() ){
                                    echo huntar_heading_tag(
                                        array(
                                            "tag"   => esc_attr( $huntar_page_title_tag ),
                                            "text"  => esc_html__( '404 PAGE', 'huntar' ),
                                            'class' => 'breadcumb-title text-white'
                                        )
                                    );
                                }elseif( is_singular( 'product' ) ){
                                    $posttitle_position  = huntar_opt('huntar_product_details_title_position');
                                    $postTitlePos = false;
                                    if( class_exists( 'ReduxFramework' ) ){
                                        if( $posttitle_position && $posttitle_position != 'header' ){
                                            $postTitlePos = true;
                                        }
                                    }else{
                                        $postTitlePos = false;
                                    }

                                    if( $postTitlePos != true ){
                                        echo huntar_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $huntar_page_title_tag ),
                                                "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                                'class' => 'breadcumb-title text-white'
                                            )
                                        );
                                    } else {
                                        if( class_exists( 'ReduxFramework' ) ){
                                            $huntar_post_details_custom_title  = huntar_opt('huntar_product_details_custom_title');
                                        }else{
                                            $huntar_post_details_custom_title = __( 'Shop Details','huntar' );
                                        }

                                        if( !empty( $huntar_post_details_custom_title ) ) {
                                            echo huntar_heading_tag(
                                                array(
                                                    "tag"   => esc_attr( $huntar_page_title_tag ),
                                                    "text"  => wp_kses( $huntar_post_details_custom_title, $allowhtml ),
                                                    'class' => 'breadcumb-title text-white'
                                                )
                                            );
                                        }
                                    }
                                }else{
                                    $posttitle_position  = huntar_opt('huntar_post_details_title_position');
                                    $postTitlePos = false;
                                    if( is_single() ){
                                        if( class_exists( 'ReduxFramework' ) ){
                                            if( $posttitle_position && $posttitle_position != 'header' ){
                                                $postTitlePos = true;
                                            }
                                        }else{
                                            $postTitlePos = false;
                                        }
                                    }
                                    if( is_singular( 'product' ) ){
                                        $posttitle_position  = huntar_opt('huntar_product_details_title_position');
                                        $postTitlePos = false;
                                        if( class_exists( 'ReduxFramework' ) ){
                                            if( $posttitle_position && $posttitle_position != 'header' ){
                                                $postTitlePos = true;
                                            }
                                        }else{
                                            $postTitlePos = false;
                                        }
                                    }

                                    if( $postTitlePos != true ){
                                        echo huntar_heading_tag(
                                            array(
                                                "tag"   => esc_attr( $huntar_page_title_tag ),
                                                "text"  => wp_kses( get_the_title( ), $allowhtml ),
                                                'class' => 'breadcumb-title text-white'
                                            )
                                        );
                                    } else {
                                        if( class_exists( 'ReduxFramework' ) ){
                                            $huntar_post_details_custom_title  = huntar_opt('huntar_post_details_custom_title');
                                        }else{
                                            $huntar_post_details_custom_title = __( 'Blog Details','huntar' );
                                        }

                                        if( !empty( $huntar_post_details_custom_title ) ) {
                                            echo huntar_heading_tag(
                                                array(
                                                    "tag"   => esc_attr( $huntar_page_title_tag ),
                                                    "text"  => wp_kses( $huntar_post_details_custom_title, $allowhtml ),
                                                    'class' => 'breadcumb-title text-white'
                                                )
                                            );
                                        }
                                    }
                                }
                            }
                            if( class_exists('ReduxFramework') ) {
                                $huntar_breadcrumb_switcher = huntar_opt( 'huntar_enable_breadcrumb' );
                            } else {
                                $huntar_breadcrumb_switcher = '1';
                            }
                            if( $huntar_breadcrumb_switcher == '1' ) {
                                huntar_breadcrumbs(
                                    array(
                                        'breadcrumbs_classes' => 'nav',
                                    )
                                );
                            }
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
        echo '<!-- End of Page title -->';
    }