<?php
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    } 

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') ) {
            $huntar_post_id = get_the_ID();

            // Get the page settings manager
            $huntar_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $huntar_page_settings_model = $huntar_page_settings_manager->get_model( $huntar_post_id );

            // Retrieve the color we added before
            $huntar_header_style = $huntar_page_settings_model->get_settings( 'naturo_header_style' );
            $huntar_header_builder_option = $huntar_page_settings_model->get_settings( 'naturo_header_builder_option' );

            if( $huntar_header_style == 'header_builder'  ) {

                if( !empty( $huntar_header_builder_option ) ) {
                    $huntarheader = get_post( $huntar_header_builder_option );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $huntarheader->ID );
                }
            } else {
                // global options
                $huntar_header_builder_trigger = huntar_opt('huntar_header_options');
                if( $huntar_header_builder_trigger == '2' ) {
                    $huntar_global_header_select = get_post( huntar_opt( 'huntar_header_select_options' ) );
                    $header_post = get_post( $huntar_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                } else {
                    // wordpress Header
                    huntar_global_header_option();
                }
            }
        } else {
            $huntar_header_options = huntar_opt('huntar_header_options');
            if( $huntar_header_options == '1' ) {
                huntar_global_header_option();
            } else {
                $huntar_header_select_options = huntar_opt('huntar_header_select_options');
                $huntarheader = get_post( $huntar_header_select_options );
                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $huntarheader->ID );
            }
        }
    } else {
        huntar_global_header_option();
    }