<?php
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $huntar404title     = huntar_opt( 'huntar_fof_title' );
        $huntar404subtitle  = huntar_opt( 'huntar_fof_subtitle' );
        $huntar404description  = huntar_opt( 'huntar_fof_description' );
        $huntar404btntext   = huntar_opt( 'huntar_fof_btn_text' );
    } else {
        $huntar404title     = __( '404', 'huntar' );
        $huntar404subtitle  = __( 'Oops! That page can\'t be found.', 'huntar' );
        $huntar404description  = __( 'Unfortunately, something went wrong and this page does not exist. Try using the search or return to the previous page.', 'huntar' );
        $huntar404btntext   = __( 'Go Back Home', 'huntar');
    }

    // get header
    get_header();

    echo '<section class="vs-error-wrapper space-top space-negative-bottom">';
        echo '<div class="container">';
            echo '<div class="vs-error-content text-center mb-30">';
                echo '<h2 class="error-main-title mb-3">'.esc_html( $huntar404title ).'</h2>';
                echo '<h2 class="sec-title2 mt-0 mb-4">'.esc_html( $huntar404subtitle ).'</h2>';
                echo '<p class="mb-35">'.esc_html( $huntar404description ).'</p>';
                echo '<a href="'.esc_url( home_url('/') ).'" class="vs-btn style-1">'.esc_html( $huntar404btntext ).'</a>';
            echo '</div>';
        echo '</div>';
    echo '</section>';
    
    //footer
    get_footer();