<?php
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Include File
 *
 */

// Constants
require_once get_parent_theme_file_path() . '/inc/huntar-constants.php';

//theme setup
require_once HUNTAR_DIR_PATH_INC . 'theme-setup.php';

//essential scripts
require_once HUNTAR_DIR_PATH_INC . 'essential-scripts.php';

// Woo Hooks
require_once HUNTAR_DIR_PATH_INC . 'woo-hooks/huntar-woo-hooks.php';

// Woo Hooks Functions
require_once HUNTAR_DIR_PATH_INC . 'woo-hooks/huntar-woo-hooks-functions.php';

// plugin activation
require_once HUNTAR_DIR_PATH_FRAM . 'plugins-activation/huntar-active-plugins.php';

// theme dynamic css
require_once HUNTAR_DIR_PATH_INC . 'huntar-commoncss.php';

// meta options
require_once HUNTAR_DIR_PATH_FRAM . 'huntar-meta/huntar-config.php';

// page breadcrumbs
require_once HUNTAR_DIR_PATH_INC . 'huntar-breadcrumbs.php';

// sidebar register
require_once HUNTAR_DIR_PATH_INC . 'huntar-widgets-reg.php';

//essential functions
require_once HUNTAR_DIR_PATH_INC . 'huntar-functions.php';

// helper function
require_once HUNTAR_DIR_PATH_INC . 'wp-html-helper.php';

// Demo Data
require_once HUNTAR_DEMO_DIR_PATH . 'demo-import.php';

// pagination
require_once HUNTAR_DIR_PATH_INC . 'wp_bootstrap_pagination.php';

// huntar options
require_once HUNTAR_DIR_PATH_FRAM . 'huntar-options/huntar-options.php';

// hooks
require_once HUNTAR_DIR_PATH_HOOKS . 'hooks.php';

// hooks funtion
require_once HUNTAR_DIR_PATH_HOOKS . 'hooks-functions.php';