<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

// huntar gallery image size hook functions
add_filter('woocommerce_gallery_image_size','huntar_woocommerce_gallery_image_size');
function huntar_woocommerce_gallery_image_size( $imagesize ) {
    $imagesize = 'huntar-shop-single';
    return $imagesize;
}

// huntar shop main content hook functions
if( !function_exists('huntar_shop_main_content_cb') ) {
    function huntar_shop_main_content_cb( ) {

        if( is_shop() || is_product_category() || is_product_tag() ) {
            echo '<section class="vs-product-wrapper space-top space-negative-bottom">';
            if( class_exists('ReduxFramework') ) {
                $huntar_woo_product_col = huntar_opt('huntar_woo_product_col');
                if( $huntar_woo_product_col == '2' ) {
                    echo '<div class="container">';
                } elseif( $huntar_woo_product_col == '3' ) {
                    echo '<div class="container">';
                } elseif( $huntar_woo_product_col == '4' ) {
                    echo '<div class="container">';
                } elseif( $huntar_woo_product_col == '5' ) {
                    echo '<div class="huntar-container">';
                } elseif( $huntar_woo_product_col == '6' ) {
                    echo '<div class="huntar-container">';
                }
            } else {
                echo '<div class="container">';
            }
        } else {
            echo '<section class="vs-product-wrapper space-top space-negative-bottom product-details">';
                echo '<div class="container">';
        }
            echo '<div class="row gutters-40">';
    }
}

// huntar shop main content hook function
if( !function_exists('huntar_shop_main_content_end_cb') ) {
    function huntar_shop_main_content_end_cb( ) {
            echo '</div>';
        echo '</div>';
    echo '</section>';
    }
}

// shop column start hook function
if( !function_exists('huntar_shop_col_start_cb') ) {
    function huntar_shop_col_start_cb( ) {
        if( class_exists('ReduxFramework') ) {
            if( class_exists('woocommerce') && is_shop() ) {
                $huntar_woo_shoppage_sidebar = huntar_opt('huntar_woo_shoppage_sidebar');
                if( $huntar_woo_shoppage_sidebar == '2' && is_active_sidebar('huntar-woo-sidebar') ) {
                    echo '<div class="col-lg-8 col-xl-8 order-last">';
                } elseif( $huntar_woo_shoppage_sidebar == '3' && is_active_sidebar('huntar-woo-sidebar') ) {
                    echo '<div class="col-lg-8 col-xl-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            } else {
                echo '<div class="col-lg-12">';
            }
        } else {
            if( class_exists('woocommerce') && is_shop() ) {
                if( is_active_sidebar('huntar-woo-sidebar') ) {
                    echo '<div class="col-lg-8 col-xl-8">';
                } else {
                    echo '<div class="col-lg-12">';
                }
            } else {
                echo '<div class="col-lg-12">';
            }
        }

    }
}

// shop column end hook function
if( !function_exists('huntar_shop_col_end_cb') ) {
    function huntar_shop_col_end_cb( ) {
        echo '</div>';
    }
}

// huntar woocommerce pagination hook function
if( ! function_exists('huntar_woocommerce_pagination') ) {
    function huntar_woocommerce_pagination( ) {
        if( ! empty( huntar_pagination() ) ) {

            echo '<div class="vs-pagination mb-30">';
                echo '<ul>';
                    $prev   = '<i class="fas fa-chevron-left"></i>';
                    $next   = '<i class="fas fa-chevron-right"></i>';
                    // previous
                    if( get_previous_posts_link() ){
                        echo '<li>';
                        previous_posts_link( $prev );
                        echo '</li>';
                    }
                    echo huntar_pagination();
                    // next
                    if( get_next_posts_link() ){
                        echo '<li>';
                        next_posts_link( $next );
                        echo '</li>';
                    }
                echo '</ul>';
            echo '</div>';
        }
    }
}
// woocommerce filter wrapper hook function
if( ! function_exists('huntar_woocommerce_filter_wrapper') ) {
    function huntar_woocommerce_filter_wrapper( ) {
        echo '<div class="vs-sort-bar mb-40">';
            echo '<div class="row text-center text-md-start justify-content-between align-items-center">';
                echo '<div class="col-md-auto">';
                    echo '<div class="col-auto d-flex align-items-center">';
                        echo '<label class="text-body2">'.woocommerce_result_count().'</label>';
                    echo '</div>';
                echo '</div>';

                echo '<div class="col-md-auto">';
                    echo '<div class="row">';
                        echo '<div class="col-auto d-flex align-items-center mb-3 mb-sm-0">';
                            echo '<label class="text-body2">'.esc_html__( 'Sort By', 'huntar' ).'</label>';
                            echo woocommerce_catalog_ordering();
                        echo '</div>';

                        echo '<div class="col-auto">';
                            echo '<div class="nav" id="nav-tab" role="tablist">';
                                echo '<button class="nav-link active mr-10" id="nav-home-tab" data-bs-toggle="tab"
                                data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home"
                                aria-selected="true"><i class="fas fa-th"></i></button>';

                                echo '<button class="nav-link" id="nav-profile-tab" data-bs-toggle="tab"
                                data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile"
                                aria-selected="false"><i class="fal fa-bars"></i></button>';

                            echo '</div>';
                        echo '</div>';

                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
    }
}

// woocommerce tab content wrapper start hook function
if( ! function_exists('huntar_woocommerce_tab_content_wrapper_start') ) {
    function huntar_woocommerce_tab_content_wrapper_start( ) {
        echo '<!-- Tab Content -->';
        echo '<div class="tab-content vs-products-gallery2" id="nav-tabContent3">';
    }
}

// woocommerce tab content wrapper start hook function
if( ! function_exists('huntar_woocommerce_tab_content_wrapper_end') ) {
    function huntar_woocommerce_tab_content_wrapper_end( ) {
        echo '</div>';
        echo '<!-- End Tab Content -->';
    }
}
// huntar grid tab content hook function
if( !function_exists('huntar_grid_tab_content_cb') ) {
    function huntar_grid_tab_content_cb( ) {
        echo '<!-- Grid -->';
            echo '<div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">';
                woocommerce_product_loop_start();
                if( class_exists('ReduxFramework') ) {
                    $huntar_woo_product_col = huntar_opt('huntar_woo_product_col');
                    if( $huntar_woo_product_col == '2' ) {
                        $huntar_woo_product_col_val = 'col-lg-6 col-md-6 col-sm-6';
                    } elseif( $huntar_woo_product_col == '3' ) {
                        $huntar_woo_product_col_val = 'col-lg-4 col-md-6 col-sm-6';
                    } elseif( $huntar_woo_product_col == '4' ) {
                        $huntar_woo_product_col_val = 'col-lg-3 col-md-6 col-sm-6';
                    }elseif( $huntar_woo_product_col == '5' ) {
                        $huntar_woo_product_col_val = 'col-xl col-lg-4 col-sm-6 mb-30';
                    } elseif( $huntar_woo_product_col == '6' ) {
                        $huntar_woo_product_col_val = 'col-lg-2 col-sm-6 mb-30';
                    }
                } else {
                    $huntar_woo_product_col_val = 'col-lg-4 col-md-6 col-sm-6';
                }

                if ( wc_get_loop_prop( 'total' ) ) {
                    while ( have_posts() ) {
                        the_post();

                        echo '<div class="'.esc_attr( $huntar_woo_product_col_val ).'">';
                            /**
                             * Hook: woocommerce_shop_loop.
                             */
                            do_action( 'woocommerce_shop_loop' );

                            wc_get_template_part( 'content', 'product' );

                        echo '</div>';
                    }
                    wp_reset_postdata();
                }

                woocommerce_product_loop_end();
            echo '</div>';
        echo '<!-- End Grid -->';
    }
}

// huntar list tab content hook function
if( !function_exists('huntar_list_tab_content_cb') ) {
    function huntar_list_tab_content_cb( ) {
        echo '<!-- List -->';
        echo '<div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">';
            woocommerce_product_loop_start();

            if ( wc_get_loop_prop( 'total' ) ) {
                while ( have_posts() ) {
                    the_post();
                    echo '<div class="col-lg-4 col-md-6 col-sm-6">';
                        /**
                         * Hook: woocommerce_shop_loop.
                         */
                        do_action( 'woocommerce_shop_loop' );

                        wc_get_template_part( 'content-horizontal', 'product' );
                    echo '</div>';
                }
                wp_reset_postdata();
            }

            woocommerce_product_loop_end();
        echo '</div>';
        echo '<!-- End List -->';
    }
}

// huntar woocommerce get sidebar hook function
if( ! function_exists('huntar_woocommerce_get_sidebar') ) {
    function huntar_woocommerce_get_sidebar( ) {
        if( class_exists('ReduxFramework') ) {
            $huntar_woo_shoppage_sidebar = huntar_opt('huntar_woo_shoppage_sidebar');
        } else {
            if( is_active_sidebar('huntar-woo-sidebar') ) {
                $huntar_woo_shoppage_sidebar = '2';
            } else {
                $huntar_woo_shoppage_sidebar = '1';
            }
        }

        if( is_shop() ) {
            if( $huntar_woo_shoppage_sidebar != '1' ) {
                get_sidebar('shop');
            }
        }
    }
}

// huntar loop product thumbnail hook function
if( !function_exists('huntar_loop_product_thumbnail') ) {
    function huntar_loop_product_thumbnail( ) {
        global $product;
        if( has_post_thumbnail() ){
            echo '<div class="product-img image-scale-hover">';
                echo '<a href="'.esc_url( get_permalink() ).'"><img class="w-100" src="'.esc_url( get_the_post_thumbnail_url() ).'"
                  alt="'.esc_attr( huntar_img_default_alt(  get_the_post_thumbnail_url() )).'"></a>';

                $regular_price  = get_post_meta( $product->get_id(), '_regular_price', true ); 
                $sale_price     = get_post_meta( $product->get_id(), '_sale_price', true );
                
                if(!empty($sale_price)){
                    echo '<span class="badge">'.esc_html__('Hot', 'huntar').'</span>';
                }
                echo '<div class="actions-btn2">';
                    if( class_exists( 'WPCleverWoosq' ) ){
                        echo do_shortcode('[woosq]');
                    }
                    woocommerce_template_loop_add_to_cart();
                    if( class_exists( 'TInvWL_Admin_TInvWL' ) ){
                        echo do_shortcode( '[ti_wishlists_addtowishlist]' );
                    }
                echo '</div>';


            echo '</div>';
        }
        echo '<div class="products-content text-center pb-35">';
            
            echo '<h5 class="fs-20 fw-medium mb-0"><a class="text-title hover-theme" href="'.esc_url( get_permalink() ).'">'.esc_html( get_the_title() ).'</a>
            </h5>';
            echo woocommerce_template_loop_price();
        echo '</div>';
    }
}

// huntar loop horizontal product thumbnail hook function
if( !function_exists('huntar_loop_horiontal_product_thumbnail') ) {
    function huntar_loop_horiontal_product_thumbnail( ) {
    global $product;
        if( has_post_thumbnail() ){
            echo '<div class="product-img image-scale-hover">';
                echo '<a href="'.esc_url( get_permalink() ).'"><img class="w-100" src="'.esc_url( get_the_post_thumbnail_url() ).'"
                  alt="'.esc_attr( huntar_img_default_alt(  get_the_post_thumbnail_url() )).'"></a>';
                
                echo '<div class="actions-btn2">';
                    if( class_exists( 'WPCleverWoosq' ) ){
                        echo do_shortcode('[woosq]');
                    }
                    woocommerce_template_loop_add_to_cart();
                    if( class_exists( 'TInvWL_Admin_TInvWL' ) ){
                        echo do_shortcode( '[ti_wishlists_addtowishlist]' );
                    }
                echo '</div>';
            echo '</div>';
        }
        echo '<div class="products-content">';
            echo woocommerce_template_loop_price();
            echo '<h5 class="fw-medium mb-0"><a class="text-title hover-theme" href="'.esc_url( get_permalink() ).'">'.esc_html( get_the_title() ).'</a></h5>';
        echo '</div>';
    }
}

// single product price rating hook function
if( !function_exists('huntar_woocommerce_single_product_price_rating') ) {
    function huntar_woocommerce_single_product_price_rating() {
        global $product;
        $count = $product->get_review_count();
        echo '<div class="woocommerce-product-rating">';
        woocommerce_template_loop_rating();
        echo '<a href="'.esc_url('#').'" class="woocommerce-review-link">(<span class="count">'.esc_html( $count ).'</span> '.esc_html__('customer review', 'huntar').')</a>';
        echo '</div>';
    }
}

// single product title hook function
if( !function_exists('huntar_woocommerce_single_product_title') ) {
    function huntar_woocommerce_single_product_title( ) {
        global $product;
        if( class_exists( 'ReduxFramework' ) ) {
            $producttitle_position = huntar_opt('huntar_product_details_title_position');
        } else {
            $producttitle_position = 'header';
        }

        if( $producttitle_position != 'header' ) {
            echo '<!-- Product Title -->';
            echo '<h3 class="title-border">'.esc_html( get_the_title() ).'</h3>';

        }
        
        echo woocommerce_template_loop_price();

    }
}

// single product title hook function
if( !function_exists('huntar_woocommerce_quickview_single_product_title') ) {
    function huntar_woocommerce_quickview_single_product_title( ) {
        echo '<!-- Product Title -->';
        echo '<h3 class="title-border">'.esc_html( get_the_title() ).'</h3>';
        echo '<!-- End Product Title -->';
    }
}

// single product excerpt hook function
if( !function_exists('huntar_woocommerce_single_product_excerpt') ) {
    function huntar_woocommerce_single_product_excerpt( ) {
        echo '<!-- Product Description -->';
        woocommerce_template_single_excerpt();
        echo '<!-- End Product Description -->';
    }
}

// single product availability hook function
if( !function_exists('huntar_woocommerce_single_product_availability') ) {
    function huntar_woocommerce_single_product_availability( ) {
        global $product;
        $availability = $product->get_availability();

        if( $availability['class'] != 'out-of-stock' ) {
            echo '<!-- Product Availability -->';
                echo '<div class="mt-2 link-inherit fs-xs">';
                    echo '<p>';
                        echo '<strong class="text-title me-3 font-theme">'.esc_html__( 'Availability:', 'huntar' ).'</strong>';
                        if( $product->get_stock_quantity() ){
                            echo '<span class="stock in-stock"><i class="far fa-check-square me-2"></i>'.esc_html( $product->get_stock_quantity() ).'</span>';
                        }else{
                            echo '<span class="stock in-stock"><i class="far fa-check-square me-2"></i>'.esc_html__( 'In Stock', 'huntar' ).'</span>';
                        }
                    echo '</p>';
                echo '</div>';
            echo '<!--End Product Availability -->';
        } else {
            echo '<!-- Product Availability -->';
            echo '<div class="mt-2 link-inherit fs-xs">';
                echo '<p>';
                    echo '<strong class="text-title me-3 font-theme">'.esc_html__( 'Availability:', 'huntar' ).'</strong>';
                    echo '<span class="stock out-of-stock"><i class="far fa-check-square me-2"></i>'.esc_html__( 'Out Of Stock', 'huntar' ).'</span>';
                echo '</p>';
            echo '</div>';
            echo '<!--End Product Availability -->';
        }
    }
}

// single product add to cart fuunction
if( !function_exists('huntar_woocommerce_single_add_to_cart_button') ) {
    function huntar_woocommerce_single_add_to_cart_button( ) {
        woocommerce_template_single_add_to_cart();
    }
}

// single product ,eta hook function
if( !function_exists('huntar_woocommerce_single_meta') ) {
    function huntar_woocommerce_single_meta( ) {
        global $product;
        echo '<div class="product_meta">';
            if( ! empty( $product->get_sku() ) ){
                echo '<span class="sku_wrapper">'.esc_html__( 'SKU:', 'huntar' ).'<span class="sku">'.$product->get_sku().'</span></span>';
            }
            echo wc_get_product_category_list( $product->get_id(), ', ', '<span class="posted_in">' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'huntar' ) . ' ', '</span>' );
        echo '</div>';
    }
}

// single produt sidebar hook function
if( !function_exists('huntar_woocommerce_single_product_sidebar_cb') ) {
    function huntar_woocommerce_single_product_sidebar_cb(){
        if( class_exists('ReduxFramework') ) {
            $huntar_woo_singlepage_sidebar = huntar_opt('huntar_woo_singlepage_sidebar');
            if( ( $huntar_woo_singlepage_sidebar == '2' || $huntar_woo_singlepage_sidebar == '3' ) && is_active_sidebar('huntar-woo-sidebar') ) {
                get_sidebar('shop');
            }
        } else {
            if( is_active_sidebar('huntar-woo-sidebar') ) {
                get_sidebar('shop');
            }
        }
    }
}

// reviewer meta hook function
if( !function_exists('huntar_woocommerce_reviewer_meta') ) {
    function huntar_woocommerce_reviewer_meta( $comment ){
        $verified = wc_review_is_from_verified_owner( $comment->comment_ID );
        if ( '0' === $comment->comment_approved ) { ?>
            <em class="woocommerce-review__awaiting-approval">
                <?php esc_html_e( 'Your review is awaiting approval', 'huntar' ); ?>
            </em>

        <?php } else { ?>
            <span class="commented-on fs-12"><time class="woocommerce-review__published-date" datetime="<?php echo esc_attr( get_comment_date( 'c' ) ); ?>"> <?php printf( esc_html__('%1$s at %2$s', 'huntar'), get_comment_date(wc_date_format()),  get_comment_time() ); ?> </time></span>
            <h4 class="name h4"><?php echo ucwords( get_comment_author() ); ?> </h4>
            <?php
            if ( 'yes' === get_option( 'woocommerce_review_rating_verification_label' ) && $verified ) {
                echo '<em class="woocommerce-review__verified verified">(' . esc_attr__( 'verified owner', 'huntar' ) . ')</em> ';
            }

            ?>
        <?php
        }

        woocommerce_review_display_rating();
    }
}

// woocommerce proceed to checkout hook function
if( !function_exists('huntar_woocommerce_button_proceed_to_checkout') ) {
    function huntar_woocommerce_button_proceed_to_checkout() {
        echo '<a href="'.esc_url( wc_get_checkout_url() ).'" class="checkout-button button alt wc-forward vs-btn style-1 rounded-1 shadow-none no-skew">';
            esc_html_e( 'Proceed to checkout', 'huntar' );
        echo '</a>';
    }
}

// huntar woocommerce cross sell display hook function
if( !function_exists('huntar_woocommerce_cross_sell_display') ) {
    function huntar_woocommerce_cross_sell_display( ){
        woocommerce_cross_sell_display();
    }
}

// huntar minicart view cart button hook function
if( !function_exists('huntar_minicart_view_cart_button') ) {
    function huntar_minicart_view_cart_button() {
        echo '<a href="' . esc_url( wc_get_cart_url() ) . '" class="button checkout wc-forward vs-btn style-1">' . esc_html__( 'View cart', 'huntar' ) . '</a>';
    }
}

// huntar minicart checkout button hook function
if( !function_exists('huntar_minicart_checkout_button') ) {
    function huntar_minicart_checkout_button() {
        echo '<a href="' .esc_url( wc_get_checkout_url() ) . '" class="button wc-forward vs-btn style-1">' . esc_html__( 'Checkout', 'huntar' ) . '</a>';
    }
}

// huntar woocommerce before checkout form
if( !function_exists('huntar_woocommerce_before_checkout_form') ) {
    function huntar_woocommerce_before_checkout_form() {
        echo '<div class="row">';
            if ( ! is_user_logged_in() && 'yes' === get_option('woocommerce_enable_checkout_login_reminder') ) {
                echo '<div class="col-lg-12">';
                    woocommerce_checkout_login_form();
                echo '</div>';
            }

            echo '<div class="col-lg-12">';
                woocommerce_checkout_coupon_form();
            echo '</div>';
        echo '</div>';
    }
}

// add to cart button
function woocommerce_template_loop_add_to_cart( $args = array() ) {
    global $product;

        if ( $product ) {
            $defaults = array(
                'quantity'   => 1,
                'class'      => implode(
                    ' ',
                    array_filter(
                        array(
                            'add-cart-btn2',
                            'product_type_' . $product->get_type(),
                            $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
                            $product->supports( 'ajax_add_to_cart' ) && $product->is_purchasable() && $product->is_in_stock() ? 'ajax_add_to_cart' : '',
                        )
                    )
                ),
                'attributes' => array(
                    'data-product_id'  => $product->get_id(),
                    'data-product_sku' => $product->get_sku(),
                    'aria-label'       => $product->add_to_cart_description(),
                    'rel'              => 'nofollow',
                ),
            );

            $args = wp_parse_args( $args, $defaults );

            if ( isset( $args['attributes']['aria-label'] ) ) {
                $args['attributes']['aria-label'] = wp_strip_all_tags( $args['attributes']['aria-label'] );
            }
        }

        echo sprintf( '<a href="%s" data-quantity="%s" class="%s" %s>%s</a>',
            esc_url( $product->add_to_cart_url() ),
            esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
            esc_attr( isset( $args['class'] ) ? $args['class'] : 'add-cart-btn2' ),
            isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
            'Add to cart'
        );
}
// add to cart button two
function woocommerce_template_loop_add_to_cart_two( $args = array() ) {
    global $product;

        if ( $product ) {
            $defaults = array(
                'quantity'   => 1,
                'class'      => implode(
                    ' ',
                    array_filter(
                        array(
                            'add-cart-btn2',
                            'product_type_' . $product->get_type(),
                            $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
                            $product->supports( 'ajax_add_to_cart' ) && $product->is_purchasable() && $product->is_in_stock() ? 'ajax_add_to_cart' : '',
                        )
                    )
                ),
                'attributes' => array(
                    'data-product_id'  => $product->get_id(),
                    'data-product_sku' => $product->get_sku(),
                    'aria-label'       => $product->add_to_cart_description(),
                    'rel'              => 'nofollow',
                ),
            );

            $args = wp_parse_args( $args, $defaults );

            if ( isset( $args['attributes']['aria-label'] ) ) {
                $args['attributes']['aria-label'] = wp_strip_all_tags( $args['attributes']['aria-label'] );
            }
        }

        echo sprintf( '<a href="%s" data-quantity="%s" class="%s" %s>%s</a>',
            esc_url( $product->add_to_cart_url() ),
            esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
            esc_attr( isset( $args['class'] ) ? $args['class'] : 'add-cart-btn3' ),
            isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
            '<i class="fal fa-cart-plus"></i>'
        );
}

// product searchform
add_filter( 'get_product_search_form' , 'huntar_custom_product_searchform' );
function huntar_custom_product_searchform( $form ) {

    $form = '<form class="search-form" role="search" method="get" action="' . esc_url( home_url( '/'  ) ) . '">
        <label class="screen-reader-text" for="s">' . __( 'Search for:', 'huntar' ) . '</label>
        <input type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="' . __( 'Search', 'huntar' ) . '" />
        <button class="submit-btn" type="submit"><i class="far fa-search"></i></button>
        <input type="hidden" name="post_type" value="product" />
    </form>';

    return $form;
}

// cart empty message
add_action('woocommerce_cart_is_empty','huntar_wc_empty_cart_message',10);
function huntar_wc_empty_cart_message( ) {
    echo '<h3 class="cart-empty d-none">'.esc_html__('Your cart is currently empty.','huntar').'</h3>';
}