<?php
/**
 * @Packge     : Huntar
 * @Version    : 1.0
 * @Author     : Vecurosoft
 * @Author URI : https://www.vecurosoft.com/
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    huntar_setPostViews( get_the_ID() );

    ?>
    <div <?php post_class(); ?> >
    <?php
        if( class_exists('ReduxFramework') ) {
            $huntar_post_details_title_position = huntar_opt('huntar_post_details_title_position');
        } else {
            $huntar_post_details_title_position = 'header';
        }

        $allowhtml = array(
            'p'         => array(
                'class'     => array()
            ),
            'span'      => array(),
            'a'         => array(
                'href'      => array(),
                'title'     => array()
            ),
            'br'        => array(),
            'em'        => array(),
            'strong'    => array(),
            'b'         => array(),
        );
        echo '<div class="vs-blog blog-single">';
            // Blog Post Thumbnail
            do_action( 'huntar_blog_post_thumb' );



            echo '<div class="blog-content">';
                
                // Blog Post Meta
                do_action( 'huntar_blog_post_meta' );

                if( $huntar_post_details_title_position != 'header' ) {
                    echo '<h2 class="blog-title h3">'.wp_kses( get_the_title(), $allowhtml ).'</h2>';
                }

                if( get_the_content() ){

                    the_content();
                    // Link Pages
                    huntar_link_pages();
                }
            echo '</div>';

            if( class_exists('ReduxFramework') ) {
                $huntar_post_details_share_options = huntar_opt('huntar_post_details_share_options');
            } else {
                $huntar_post_details_share_options = false;
            }
            
            $huntar_post_tag = get_the_tags();
            
            if( ! empty( $huntar_post_tag ) || ( function_exists( 'huntar_social_sharing_buttons' ) || $huntar_post_details_share_options ) ){
                echo '<div class="share-links mt-10">';
                echo '<div class="row justify-content-between">';
                
                    if( is_array( $huntar_post_tag ) && ! empty( $huntar_post_tag ) ){
                        if( count( $huntar_post_tag ) > 1 ){
                            $tag_text = __( 'Tags:', 'huntar' );
                        }else{
                            $tag_text = __( 'Tag:', 'huntar' );
                        }
                        echo '<div class="col-auto mb-30">';
                        echo '<h5>'.$tag_text.'</h5>';

                            echo '<div class="tagcloud">';
                                foreach( $huntar_post_tag as $tags ){
                                    echo '<a href="'.esc_url( get_tag_link( $tags->term_id ) ).'">'.esc_html( $tags->name ).'</a>';
                                }
                            echo '</div>';
                        echo '</div>';
                    }

                    /**
                    *
                    * Hook for Blog Details Share Options
                    *
                    * Hook huntar_blog_details_share_options
                    *
                    * @Hooked huntar_blog_details_share_options_cb 10
                    *
                    */
                    do_action( 'huntar_blog_details_share_options' );
                echo '</div>';
                echo '</div>';
            } 
        echo '</div>'; 
    

        /**
        *
        * Hook for Blog Details Author Bio
        *
        * Hook huntar_blog_details_author_bio
        *
        * @Hooked huntar_blog_details_author_bio_cb 10
        *
        */
        do_action( 'huntar_blog_details_author_bio' );

        /**
        *
        * Hook for Blog Details Comments
        *
        * Hook huntar_blog_details_comments
        *
        * @Hooked huntar_blog_details_comments_cb 10
        *
        */
        do_action( 'huntar_blog_details_comments' );
    echo '</div>'; 